Skip to main content
POST
Simulate a network dispute action

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

dispute_id
string<uuid>
required

Dispute ID

Example:

"472341e0-ea3e-41a1-96bc-fd0185e1eac8"

Body

application/json

Details of the simulated dispute action

Create an action against a disputed card transaction

action
enum<string>
required
Available options:
CHARGEBACK,
REPRESENTMENT,
PRE_ARBITRATION,
ARBITRATION,
PROVISIONAL_CREDIT,
WRITE_OFF,
EVIDENCE_GATHERING,
DISPUTE
payment_rail
enum<string>
required

A short string representing the payment rail of the dispute.

Available options:
CARD,
EXTERNAL_CARD,
ACH
state
enum<string>
required
Available options:
ACCEPT,
CREATE,
COMPLETE,
LOST,
NETWORK_REJECT,
NETWORK_REJECT_REVERSAL,
REBUT,
REVERSE,
REFUND,
EXPIRE,
REJECT,
WITHDRAW,
WON
amount
integer<int64>

Optional amount for the action in cents. If not provided, defaults to the dispute amount. Amount is only applicable when creating actions (state: CREATE) and is only supported for specific action types (see table below); amounts provided for other action types or states will be ignored.

Required range: x >= 0
memo
string

Memo text related to card dispute action

  • Required for PRE_ARBITRATION, ARBITRATION
Maximum string length: 1000
message
string

Message text related to card dispute action

Maximum string length: 100
reason_code
enum<string>
  • NOTE: deprecated reason codes are accepted for backwards compatibility but will be mapped to their active equivalent reason codes by the API.
Available options:
CARD_LOST_STOLEN_NEVER_RECEIVED,
FRAUDULENT_PROCESSING,
LATE_PRESENTMENT,
PAID_BY_OTHER_MEANS,
TRANSACTION_DID_NOT_COMPLETE,
TRANSACTION_NOT_RECOGNIZED,
NO_CARDHOLDER_AUTHORIZATION,
QUESTIONABLE_MERCHANT_ACTIVITY,
CHIP_LIABILITY_SHIFT,
CHIP_PIN_LIABILITY_SHIFT,
POINT_OF_INTERACTION_ERROR,
UNAUTHORIZED_TRANSACTION,
AUTHORIZATION_RELATED_CHARGEBACK,
GOODS_OR_SERVICES_NOT_PROVIDED,
DEFECTIVE_GOODS_OR_SERVICES,
CREDIT_NOT_RECEIVED,
DISPUTE_OF_RECURRING_TRANSACTION,
DUPLICATE_TRANSACTION,
TRANSACTION_AMOUNT_DIFFERS,
ATM_CASH_DISPUTE,
CANCELED_OR_RETURNED,
COUNTERFEIT_GOODS,
CARDHOLDER_DISPUTE
supporting_doc_id
string<uuid>

The unique identifier of the supporting document

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

updated_reason_code_memo
string

Memo text describing the reason for updating a reason code.

  • Required for PRE_ARBITRATION and ARBITRATION if a reason code is provided in the request. If no reason code is present in the request, the original CHARGEBACK reason code will be used.
Maximum string length: 1000

Response

Successfully simulated dispute action

Response for a card dispute action.

action
enum<string>
required
Available options:
CHARGEBACK,
REPRESENTMENT,
PRE_ARBITRATION,
ARBITRATION,
PROVISIONAL_CREDIT,
WRITE_OFF,
EVIDENCE_GATHERING,
DISPUTE
creation_time
string<date-time>
required
read-only

The timestamp representing when the object was created

Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required
read-only

The unique identifier of the dispute action

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

payment_rail
enum<string>
required

A short string representing the payment rail of the dispute.

Available options:
CARD,
EXTERNAL_CARD,
ACH
status
enum<string>
required
Available options:
ACCEPTED,
SUBMITTED,
COMPLETED,
LOST,
NETWORK_REJECTED,
NETWORK_REJECTED_REVERSAL,
REBUTTED,
REVERSED,
REFUNDED,
EXPIRED,
REJECTED,
WITHDRAWN,
WON
tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

amount
integer<int64>

The amount of the action in cents.

Required range: x >= 0
external_reference_id
string

Reference ID associated with the action on the external network.

memo
string

Memo text related to card dispute action

Maximum string length: 1000
message
string

Message text related to card dispute action

Maximum string length: 100
reason_code
enum<string>
  • NOTE: deprecated reason codes are accepted for backwards compatibility but will be mapped to their active equivalent reason codes by the API.
Available options:
CARD_LOST_STOLEN_NEVER_RECEIVED,
FRAUDULENT_PROCESSING,
LATE_PRESENTMENT,
PAID_BY_OTHER_MEANS,
TRANSACTION_DID_NOT_COMPLETE,
TRANSACTION_NOT_RECOGNIZED,
NO_CARDHOLDER_AUTHORIZATION,
QUESTIONABLE_MERCHANT_ACTIVITY,
CHIP_LIABILITY_SHIFT,
CHIP_PIN_LIABILITY_SHIFT,
POINT_OF_INTERACTION_ERROR,
UNAUTHORIZED_TRANSACTION,
AUTHORIZATION_RELATED_CHARGEBACK,
GOODS_OR_SERVICES_NOT_PROVIDED,
DEFECTIVE_GOODS_OR_SERVICES,
CREDIT_NOT_RECEIVED,
DISPUTE_OF_RECURRING_TRANSACTION,
DUPLICATE_TRANSACTION,
TRANSACTION_AMOUNT_DIFFERS,
ATM_CASH_DISPUTE,
CANCELED_OR_RETURNED,
COUNTERFEIT_GOODS,
CARDHOLDER_DISPUTE
representment_reason_code
enum<string>
Available options:
INVALID_ACQUIRER_REFERENCE_DATA,
NON_RECEIPT_OF_DOCUMENTATION,
DOCUMENTATION_INELIGIBLE,
DOCUMENTATION_SCANNING_ERROR,
CORRECT_TRANSACTION_DATE,
CORRECT_MERCHANT_LOCATION,
ISSUER_AUTHORIZED,
CREDIT_PREVIOUSLY_ISSUED,
CHARGEBACK_REMEDIED,
DUPLICATE_CHARGEBACK,
PAST_CHARGEBACK_TIME_LIMIT,
INVALID_DATA_RECORD_TEXT,
CORRECT_MCC,
AUTHORIZATION_ADVISED_SUSPICIOUS,
NO_AUTHORIZATION_REQUEST_REQUIRED_OR_ATTEMPTED,
ACCOUNT_NOT_LISTED_ON_EWB,
INVALID_CHARGEBACK,
CHIP_LIABILITY_SHIFT,
CHIP_PIN_LIABILITY_SHIFT
supporting_doc_id
string<uuid>
read-only

The unique identifier of the supporting document

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

updated_reason_code_memo
string

Memo text describing the reason for updating a reason code.

Maximum string length: 1000